## freegish 1.53%2Bgit20140221%2Bdfsg

=== debian/changelog ===
freegish (1.53+git20140221+dfsg-1) unstable; urgency=low

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Luboš Novák ]
  * New upstream snapshot.
  * Drop files and patches merged upstream.
  * Bump Standards Version to 3.9.5.
  * Fixed typo in package description. (Closes: #710548)
  * Use an absolute icon path in menu file.
  * New homepage: https://github.com/freegish/freegish

 -- Luboš Novák <alvinx12@centrum.cz>  Mon, 24 Feb 2014 15:08:23 +0100

freegish (1.53+git20101011+dfsg-2) unstable; urgency=low

  * Change build-depends on libpng12-dev to libpng-dev. (Closes: #662335)
  * Fix FTBFS with libpng 1.5. (Closes: #649796)
  * Fix FTBFS on kFreeBSD and Hurd.
  * Changed description string to make lintian happy.
  * Added Recommends freegish to freegish-data.
  * Bump Standards Version to 3.9.3. (No changes needed).
  * Update debhelper compatiblity level from 8 to 9.

 -- Luboš Novák <alvinx12@centrum.cz>  Fri, 1 Jun 2012 09:29:40 +0100

freegish (1.53+git20101011+dfsg-1) unstable; urgency=low

  * Initial release. (Closes: #619105)

 -- Luboš Novák <alvinx12@centrum.cz>  Fri, 24 Dec 2010 21:38:50 +0100
