=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --buildsystem=cmake --with quilt

override_dh_auto_configure:
	dh_auto_configure -- -DINSTALL_FHS=1 -DBIN_DIR=/usr/games -DDATA_DIR=/usr/share/games/freegish

override_dh_strip:
	dh_strip --dbg-package=freegish-dbg

URL="https://github.com/freegish/freegish.git"
REV="f46e4f0f42"
DATEREV="20140221"
DIR="freegish-1.53+git"$(DATEREV)+dfsg

get-orig-source:
	git clone $(URL) $(DIR)
	cd $(DIR) && git checkout $(REV)
	find $(DIR) -name ".gitignore" -print -delete
	rm -rf .git/
	rm -rf $(DIR)/externals/
	rm -rf $(DIR)/tools/gishleveltool/
	rm -rf $(DIR)/.git/
	rm -rf $(DIR)/music/*
	rm -f $(DIR)/SDL.DLL
	rm -f $(DIR)/video/glext.h
	tar czf freegish_1.53+git$(DATEREV)+dfsg.orig.tar.gz $(DIR)
	rm -rf $(DIR)
