## freegish 1.53%2Bgit20170110%2Bdfsg

=== debian/changelog ===
freegish (1.53+git20170110+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with GCC 10. (Closes: #957234)
  * Bump Standards-Version to 4.5.0.
  * Bump debhelper compat level to 13.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 26 Jul 2020 14:03:15 +0200

freegish (1.53+git20170110+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot. (Closes: #870755)
  * Bump revision + date for get-orig-source.
  * Don't remove current .git directory in get-orig-source.
  * Point Vcs-* fields to salsa.
  * Migrate to dbgsym package.
  * Mark -data package as Multi-Arch: foreign.
  * Update Standards-Version to 4.4.0:
    - remove obsolete menu file.
    - declare that d/rules does not require root
  * Drop unnecessary dependency on quilt
  * Update debhelper compat level to 12
  * Enable all hardening options.
  * Update d/copyright header to format 1.0.
  * Fix up d/copyright.

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 23 Aug 2019 23:41:02 +0200
