=== debian/control ===
Source: freegish
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Luboš Novák <alvinx12@centrum.cz>
Build-Depends: debhelper (>= 9), cmake (>= 2.4.4), quilt (>= 0.46-7~),
 libsdl1.2-dev, libopenal-dev, libvorbis-dev, libogg-dev, libpng-dev
Standards-Version: 3.9.3
Homepage: https://www.github.com/megagun/gish
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/freegish/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/freegish/

Package: freegish
Architecture: any
Depends: xdg-utils, freegish-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: physics based arcade game
 Freegish is a 2D platform game, where the player maneuvers character of a ball
 of tar. Character may become sticky, slick, heavy and can jump.
 .
 The game contains only first five levels of the single player campaign and few
 multiplayer levels for mini games like sumo or football.
 .
 Freegish is based on open sourced code of the famous game called Gish with
 added free art assets.

Package: freegish-dbg
Architecture: any
Section: debug
Priority: extra
Depends: freegish (= ${binary:Version}), ${misc:Depends}
Description: arcade game (debbugging symbols)
 Freegish is a 2D platform game, where the player maneuvers character of a ball
 of tar. Character may become sticky, slick, heavy and can jump.
 .
 The game contains only first five levels of the single player campaign and few
 multiplayer levels for mini games like sumo or football.
 .
 Freegish is based on open sourced code of the famous game called Gish with
 added free art assets.
 .
 This package contains the debugging symbols.

Package: freegish-data
Architecture: all
Depends: ${misc:Depends}
Recommends: freegish
Description: data for the FreeGish arcade game
 Freegish is a 2D platform game, where the player maneuvers character of a ball
 of tar. Character may become sticky, slick, heavy and can jump.
 .
 The game contains only first five levels of the single player campaign and few
 multiplayer levels for mini games like sumo or football.
 .
 Freegish is based on open sourced code of the famous game called Gish with
 added free art assets.
 .
 This package holds data files needed for Freegish.
