=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,9 @@
 override_dh_strip:
 	dh_strip --dbg-package=freegish-dbg
 
-URL="https://github.com/freegish/freegish.git"
-REV="f46e4f0f42"
-DATEREV="20140221"
+URL="https://github.com/megagun/gish.git"
+REV="d1bac0c"
+DATEREV="20101011"
 DIR="freegish-1.53+git"$(DATEREV)+dfsg
 
 get-orig-source:
@@ -20,6 +20,7 @@
 	rm -rf .git/
 	rm -rf $(DIR)/externals/
 	rm -rf $(DIR)/tools/gishleveltool/
+	rm -rf $(DIR)/level/backup/
 	rm -rf $(DIR)/.git/
 	rm -rf $(DIR)/music/*
 	rm -f $(DIR)/SDL.DLL
