=== debian/changelog ===
freegish (1.53+git20140221+dfsg-1build1) yakkety; urgency=medium

  * No-change rebuild for libpng soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Apr 2016 00:05:35 +0000
