=== debian/control ===
Source: freegish
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Luboš Novák <alvinx12@centrum.cz>
Build-Depends:
 cmake (>= 2.4.4),
 debhelper-compat (= 13),
 libogg-dev,
 libopenal-dev,
 libpng-dev,
 libsdl1.2-dev,
 libvorbis-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/freegish/freegish
Vcs-Git: https://salsa.debian.org/games-team/freegish.git
Vcs-Browser: https://salsa.debian.org/games-team/freegish

Package: freegish
Architecture: any
Depends:
 freegish-data (= ${source:Version}),
 xdg-utils,
 ${misc:Depends},
 ${shlibs:Depends}
Description: physics based arcade game
 Freegish is a 2D platform game, where the player maneuvers character of a ball
 of tar. Character may become sticky, slick, heavy and can jump.
 .
 The game contains only first seven levels of the single player campaign and few
 multiplayer levels for mini games like sumo or football.
 .
 Freegish is based on open sourced code of the famous game called Gish with
 added free art assets.

Package: freegish-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Recommends:
 freegish
Description: data for the FreeGish arcade game
 Freegish is a 2D platform game, where the player maneuvers character of a ball
 of tar. Character may become sticky, slick, heavy and can jump.
 .
 The game contains only first five levels of the single player campaign and few
 multiplayer levels for mini games like sumo or football.
 .
 Freegish is based on open sourced code of the famous game called Gish with
 added free art assets.
 .
 This package holds data files needed for Freegish.
